//   Important note about DLL memory management when your DLL uses the
//   static version of the RunTime Library:
//
//   If your DLL exports any functions that pass String objects (or structs/
//   classes containing nested Strings) as parameter or function results,
//   you will need to add the library MEMMGR.LIB to both the DLL project and
//   any other projects that use the DLL.  You will also need to use MEMMGR.LIB
//   if any other projects which use the DLL will be performing new or delete
//   operations on any non-TObject-derived classes which are exported from the
//   DLL. Adding MEMMGR.LIB to your project will change the DLL and its calling
//   EXE's to use the BORLNDMM.DLL as their memory manager.  In these cases,
//   the file BORLNDMM.DLL should be deployed along with your DLL.
//
//   To avoid using BORLNDMM.DLL, pass string information using "char *" or
//   ShortString parameters.
//
//   If your DLL uses the dynamic version of the RTL, you do not need to
//   explicitly add MEMMGR.LIB as this will be done implicitly for you

#pragma hdrstop
#pragma argsused

#include <windows.h>
#include <plInterface.h> //

WTWPLUGINFO g_plugInfo = {
	sizeof(WTWPLUGINFO),
	L"Plugin Test",
	L"Blabblah for WTW",
	L"(c)",
	L"Author",
	L"author@example.com",
	L"www.example.com",
	L"http://url-for-autoupdate",
	PLUGIN_API_VERSION,
	MAKE_QWORD(1, 0, 0, 0),
	WTW_CLASS_OTHER,
	NULL,
	L"{00000000-0000-0000-0000-000000000001}",	// use unique guid for each plugin
	0,
	0,	// options
	0,
	0
};

extern "C" int _libmain(unsigned long reason)
{
	return 1;
}

WTW_PLUGIN_API_ENTRY(WTWPLUGINFO *) queryPlugInfo(DWORD wtwVersionHi, DWORD wtwVersionLo)
{
	return &g_plugInfo;
}

WTW_PLUGIN_API_ENTRY(int) pluginLoad(DWORD callReason, WTWFUNCTIONS *fC)
{
	return S_OK;
}

WTW_PLUGIN_API_ENTRY(int) pluginUnload(DWORD callReason)
{
	return S_OK;
}
